Get Institutions
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/institutions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/institutions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/withdraw/fiat/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"code": "ABNGNGLA",
"name": "Access Bank",
"type": "bank"
},
{
"code": "DBLNNGLA",
"name": "Diamond Bank",
"type": "bank"
},
{
"code": "FIDTNGLA",
"name": "Fidelity Bank",
"type": "bank"
},
{
"code": "FCMBNGLA",
"name": "FCMB",
"type": "bank"
},
{
"code": "FBNINGLA",
"name": "First Bank Of Nigeria",
"type": "bank"
},
{
"code": "GTBINGLA",
"name": "Guaranty Trust Bank",
"type": "bank"
},
{
"code": "PRDTNGLA",
"name": "Polaris Bank",
"type": "bank"
},
{
"code": "UBNINGLA",
"name": "Union Bank",
"type": "bank"
},
{
"code": "UNAFNGLA",
"name": "United Bank for Africa",
"type": "bank"
},
{
"code": "CITINGLA",
"name": "Citibank",
"type": "bank"
},
{
"code": "ECOCNGLA",
"name": "Ecobank Bank",
"type": "bank"
},
{
"code": "HBCLNGLA",
"name": "Heritage",
"type": "bank"
},
{
"code": "PLNINGLA",
"name": "Keystone Bank",
"type": "bank"
},
{
"code": "SBICNGLA",
"name": "Stanbic IBTC Bank",
"type": "bank"
},
{
"code": "SCBLNGLA",
"name": "Standard Chartered Bank",
"type": "bank"
},
{
"code": "NAMENGLA",
"name": "Sterling Bank",
"type": "bank"
},
{
"code": "ICITNGLA",
"name": "Unity Bank",
"type": "bank"
},
{
"code": "SUTGNGLA",
"name": "Suntrust Bank",
"type": "bank"
},
{
"code": "PROVNGLA",
"name": "Providus Bank ",
"type": "bank"
},
{
"code": "KDHLNGLA",
"name": "FBNQuest Merchant Bank",
"type": "bank"
},
{
"code": "GMBLNGLA",
"name": "Greenwich Merchant Bank",
"type": "bank"
},
{
"code": "FSDHNGLA",
"name": "FSDH Merchant Bank",
"type": "bank"
},
{
"code": "FIRNNGLA",
"name": "Rand Merchant Bank",
"type": "bank"
},
{
"code": "JAIZNGLA",
"name": "Jaiz Bank",
"type": "bank"
},
{
"code": "ZEIBNGLA",
"name": "Zenith Bank",
"type": "bank"
},
{
"code": "WEMANGLA",
"name": "Wema Bank",
"type": "bank"
},
{
"code": "KUDANGPC",
"name": "Kuda Microfinance Bank",
"type": "bank"
},
{
"code": "OPAYNGPC",
"name": "OPay",
"type": "bank"
},
{
"code": "PALMNGPC",
"name": "PalmPay",
"type": "bank"
},
{
"code": "PAYTNGPC",
"name": "Paystack-Titan MFB",
"type": "bank"
},
{
"code": "MONINGPC",
"name": "Moniepoint MFB",
"type": "bank"
},
{
"code": "SAHVNGPC",
"name": "Safe Haven MFB",
"type": "bank"
},
{
"code": "BELLNGPC",
"name": "BellBank MFB",
"type": "bank"
}
],
"message": "Institutions fetched successfully",
"status": true
}Get Institutions
Get Institutions
GET
/
v1
/
wallets
/
{walletId}
/
withdraw
/
fiat
/
institutions
Get Institutions
Authorizations
Path Parameters
Example:
"YOUR_WALLET_ID"
Query Parameters
destination fiat currency code
Example:
"NGN"
amount to withdraw in asset units
Example:
1000
asset ID of the stablecoin to withdraw
Example:
"f8112728-36a1-46f4-b7f5-5de836ecfaa1"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[ { "code": "ABNGNGLA", "name": "Access Bank", "type": "bank" }, { "code": "DBLNNGLA", "name": "Diamond Bank", "type": "bank" }, { "code": "FIDTNGLA", "name": "Fidelity Bank", "type": "bank" }, { "code": "FCMBNGLA", "name": "FCMB", "type": "bank" }, { "code": "FBNINGLA", "name": "First Bank Of Nigeria", "type": "bank" }, { "code": "GTBINGLA", "name": "Guaranty Trust Bank", "type": "bank" }, { "code": "PRDTNGLA", "name": "Polaris Bank", "type": "bank" }, { "code": "UBNINGLA", "name": "Union Bank", "type": "bank" }, { "code": "UNAFNGLA", "name": "United Bank for Africa", "type": "bank" }, { "code": "CITINGLA", "name": "Citibank", "type": "bank" }, { "code": "ECOCNGLA", "name": "Ecobank Bank", "type": "bank" }, { "code": "HBCLNGLA", "name": "Heritage", "type": "bank" }, { "code": "PLNINGLA", "name": "Keystone Bank", "type": "bank" }, { "code": "SBICNGLA", "name": "Stanbic IBTC Bank", "type": "bank" }, { "code": "SCBLNGLA", "name": "Standard Chartered Bank", "type": "bank" }, { "code": "NAMENGLA", "name": "Sterling Bank", "type": "bank" }, { "code": "ICITNGLA", "name": "Unity Bank", "type": "bank" }, { "code": "SUTGNGLA", "name": "Suntrust Bank", "type": "bank" }, { "code": "PROVNGLA", "name": "Providus Bank ", "type": "bank" }, { "code": "KDHLNGLA", "name": "FBNQuest Merchant Bank", "type": "bank" }, { "code": "GMBLNGLA", "name": "Greenwich Merchant Bank", "type": "bank" }, { "code": "FSDHNGLA", "name": "FSDH Merchant Bank", "type": "bank" }, { "code": "FIRNNGLA", "name": "Rand Merchant Bank", "type": "bank" }, { "code": "JAIZNGLA", "name": "Jaiz Bank", "type": "bank" }, { "code": "ZEIBNGLA", "name": "Zenith Bank", "type": "bank" }, { "code": "WEMANGLA", "name": "Wema Bank", "type": "bank" }, { "code": "KUDANGPC", "name": "Kuda Microfinance Bank", "type": "bank" }, { "code": "OPAYNGPC", "name": "OPay", "type": "bank" }, { "code": "PALMNGPC", "name": "PalmPay", "type": "bank" }, { "code": "PAYTNGPC", "name": "Paystack-Titan MFB", "type": "bank" }, { "code": "MONINGPC", "name": "Moniepoint MFB", "type": "bank" }, { "code": "SAHVNGPC", "name": "Safe Haven MFB", "type": "bank" }, { "code": "BELLNGPC", "name": "BellBank MFB", "type": "bank" } ]
Example:
"Institutions fetched successfully"
Example:
true
⌘I

